(defmacro move [x]
  `(do
    (.line_to cr ~x 0)
    (.close_path cr)
    (.stroke cr)
    (.translate cr ~x 0)
    (.move_to cr 0 0)))

(defmacro turn [ang]
  `(.rotate cr (-> ~ang (/ 180) (* pi))))

(defmacro color [r g b]
  `(.set_source_rgb cr ~r ~g ~b))

(defmacro line [w]
  `(.set_line_width cr ~w))

(defmacro repeat [n &rest body]
  `(for [i (range ~n)]
    ~@body))
